SSL_SESSION_PRINT(3)

NAME
SSL_SESSION_print, SSL_SESSION_print_fp - print some properties of an SSL_SESSION object

SYNOPSIS
libssl libcrypto
#include <openssl/ssl.h>
int
SSL_SESSION_print(BIO *bp, const SSL_SESSION *session);
int
SSL_SESSION_print_fp(FILE *fp, const SSL_SESSION *session);

DESCRIPTION
SSL_SESSION_print() prints some properties of session in a human-readable format to the BIO *bp, including protocol version, cipher name, session ID, session ID context, master key, session ticket lifetime hint, session ticket, start time, timeout, and verify return code.

SSL_SESSION_print_fp() does the same as SSL_SESSION_print() except that it prints to the FILE *fp.

RETURN VALUES
SSL_SESSION_print() and SSL_SESSION_print_fp() return 1 for success or 0 for failure.

In some cases, the reason for failure can be determined with ERR_get_error(3).

SEE ALSO
d2i_SSL_SESSION(3), PEM_read_SSL_SESSION(3), ssl(3), SSL_get_session(3), SSL_SESSION_free(3), SSL_SESSION_get_ex_new_index(3), SSL_SESSION_get_time(3), SSL_SESSION_new(3)

HISTORY
SSL_SESSION_print() first appeared in SSLeay 0.5.2. SSL_SESSION_print_fp() first appeared in SSLeay 0.6.0. Both functions have been available since OpenBSD 2.4.